POST
/search-attachmentsSearch attachment content
Searches attachment-related content using a full-text query across page titles and content. Supply query and optionally use creatorId or spaceId to narrow the results.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Full-text search criteria and optional filters for attachment search.
creatorIdstringoptional
Filter results to pages created by a specific user.
limitintegeroptional
Maximum number of results to return.
offsetintegeroptional
Number of results to skip for pagination.
querystringrequired
Full-text search query. Searches page titles and content.
spaceIdstringoptional
Restrict search results to a specific space. If omitted, searches across all spaces the user has access to.
200Returns attachment search results.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is forbidden from accessing the search results.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
query is required. A 403 is returned when the authenticated user is not permitted to access the requested search results.